LibreOffice: XDockableWindowListener Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDockableWindowListener Interface Reference

makes it possible to receive docking events. More...

`import "XDockableWindowListener.idl";`

Inheritance diagram for XDockableWindowListener:

## Public Member Functions
void | startDocking ([in] com::sun::star::awt::DockingEvent e)
| is invoked when the docking procedure starts.
DockingData | docking ([in] com::sun::star::awt::DockingEvent e)
| is invoked during the docking procedure when the window has been moved.
void | endDocking ([in] com::sun::star::awt::EndDockingEvent e)
| is invoked when the docking procedure ends.
boolean | prepareToggleFloatingMode ([in] com::sun::star::lang::EventObject e)
| is invoked when the floating mode is about to be changed between floating and docked or vice versa
void | toggleFloatingMode ([in] com::sun::star::lang::EventObject e)
| is invoked when the floating mode is changed between floating and docked or vice versa
void | closed ([in] com::sun::star::lang::EventObject e)
| is invoked when the window was actively closed
void | endPopupMode ([in] com::sun::star::awt::EndPopupModeEvent e)
| is invoked when the window currently is in pop-up mode and wants to be undocked or closed
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive docking events.

## Member Function Documentation

## ◆ closed()

void closed | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when the window was actively closed

## ◆ docking()

DockingData docking | ( | [in] com::sun::star::awt::DockingEvent | e | ) |

is invoked during the docking procedure when the window has been moved.

on return the DockingData must contain either the old tracking rectangle or a changed rectangle if required, additionally it must indicate if the window should be docked or floating

Note: the tracking rectangle indicates to the user where the window would be placed if he releases the mouse.

## ◆ endDocking()

void endDocking | ( | [in] com::sun::star::awt::EndDockingEvent | e | ) |

is invoked when the docking procedure ends.

aWindowRect contains the new position and size of the window

## ◆ endPopupMode()

void endPopupMode | ( | [in] com::sun::star::awt::EndPopupModeEvent | e | ) |

is invoked when the window currently is in pop-up mode and wants to be undocked or closed

## ◆ prepareToggleFloatingMode()

boolean prepareToggleFloatingMode | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when the floating mode is about to be changed between floating and docked or vice versa

if returned FALSE the floating mode will not be changed

## ◆ startDocking()

void startDocking | ( | [in] com::sun::star::awt::DockingEvent | e | ) |

is invoked when the docking procedure starts.

## ◆ toggleFloatingMode()

void toggleFloatingMode | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when the floating mode is changed between floating and docked or vice versa

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDockableWindowListener.idl